data {
    int N;
    real x[N];
    real y[N];
}
parameters {
    real<upper = 0.0> a;
    real<lower = 0.0> sa;
    real<lower = 0.0> sb; 
}
transformed parameters {
    real<lower = 0.0> sgm[N];
    for (i in 1:N) {
        sgm[i] = sa + sb * i;
    }
}
model {
    a ~ uniform(-2, 0);
    sa ~ uniform(0, 10);
    sb ~ uniform(0, 10);
    for (i in 1:N) {
        y[i] ~ normal(100 * exp(a * x[i]), sgm[i]);
    }
}
